org.openstreetmap.josm.plugins.streetside.cubemap

## Class TileDownloadingTask

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.cubemap.TileDownloadingTask

- All Implemented Interfaces:
    java.util.concurrent.Callable<java.lang.String>

      public class TileDownloadingTask
      extends java.lang.Object
      implements java.util.concurrent.Callable<java.lang.String>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideCache` | `cache`
    `(package private) boolean` | `cancelled`
    `protected CubemapBuilder` | `cb`
    `private java.util.List<ITileDownloadingTaskListener>` | `listeners` Listeners of the class.
    `(package private) static org.apache.log4j.Logger` | `logger`
    `private long` | `startTime`
    `private java.lang.String` | `tileId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileDownloadingTask(java.lang.String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(ITileDownloadingTaskListener lis)` Adds a new listener.
    `java.lang.String` | `call()`
    `private void` | `fireTileAdded(java.lang.String id)`
    `StreetsideCache` | `getCache()`
    `CubemapBuilder` | `getCb()`
    `java.lang.String` | `getId()`
    `void` | `setCache(StreetsideCache cache)`
    `void` | `setCancelled(boolean cancelled)`
    `void` | `setCb(CubemapBuilder cb)`
    `void` | `setId(java.lang.String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          static final org.apache.log4j.Logger logger

    - #### tileId

          private java.lang.String tileId

    - #### startTime

          private final long startTime

    - #### cache

          private StreetsideCache cache

    - #### cb

          protected CubemapBuilder cb

    - #### listeners

          private final java.util.List<ITileDownloadingTaskListener> listeners

      Listeners of the class.

    - #### cancelled

          boolean cancelled

  - ### Constructor Detail

    - #### TileDownloadingTask

          public TileDownloadingTask(java.lang.String id)

  - ### Method Detail

    - #### addListener

          public final void addListener(ITileDownloadingTaskListener lis)

      Adds a new listener.
      Parameters:
        `lis` - Listener to be added.

    - #### getId

          public java.lang.String getId()

      Returns:
        the tileId

    - #### setId

          public void setId(java.lang.String id)

      Parameters:
        `id` - the tileId to set

    - #### getCache

          public StreetsideCache getCache()

      Returns:
        the cache

    - #### setCache

          public void setCache(StreetsideCache cache)

      Parameters:
        `cache` - the cache to set

    - #### getCb

          public CubemapBuilder getCb()

      Returns:
        the cb

    - #### setCb

          public void setCb(CubemapBuilder cb)

      Parameters:
        `cb` - the cb to set

    - #### setCancelled

          public void setCancelled(boolean cancelled)

      Parameters:
        `cancelled` - the cancelled to set

    - #### call

          public java.lang.String call()
                                throws java.lang.Exception

      Specified by:
        `call` in interface `java.util.concurrent.Callable<java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### fireTileAdded

          private void fireTileAdded(java.lang.String id)

JOSM Plugins